
Foreman - Feature #15078

Disable updates to operating system from Puppet facts

05/18/2016 08:46 AM - Trey Dockendorf

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.11.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When a host is built as RedHat 6.7 and 'yum update' is run to update to RedHat 6.8, the host's operating system is updated to an

Operating System that does not yet have templates assigned or media present.  This causes subsequent builds of the host to fail

unless the operating system is set back to RedHat 6.7.  This is particularly useful with RedHat in cases where the installation media

has to be manually made available.

Related issues:

Related to Foreman - Bug #6006: OS facts should not overwrite the OS selected... Closed 06/02/2014

History

#1 - 05/18/2016 08:47 AM - Trey Dockendorf

- Related to Bug #6006: OS facts should not overwrite the OS selected to provision with added

#2 - 05/18/2016 08:54 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, but I think #6006 and the existing linked tickets (especially #11937) cover this already.
